Commit 512c4b93 authored by Bill Hoffman's avatar Bill Hoffman
Browse files

ENH: last change for 2.4.8 branch, I hope, fix for findqt

parent 2acf553a
......@@ -7,7 +7,7 @@ SET(CMake_VERSION_MAJOR 2)
SET(CMake_VERSION_MINOR 4)
SET(CMake_VERSION_PATCH 8)
# for an actual release this should not be defined
SET(CMake_VERSION_RC 9)
SET(CMake_VERSION_RC 10)
SET(CMake_VERSION "${CMake_VERSION_MAJOR}.${CMake_VERSION_MINOR}")
SET(CMake_VERSION_FULL "${CMake_VERSION}.${CMake_VERSION_PATCH}")
......
Changes in CMake 2.4.8 RC 10
* Fix for FindQt4 and glib and gthread, if not found don't use
Changes in CMake 2.4.8 RC 9
* add some descriptive text to the mac installer
Changes in CMake 2.4.8 RC 8
......
......@@ -1230,8 +1230,10 @@ IF (QT4_QMAKE_FOUND)
# Qt 4.2.0 uses glib-2.0 (wish we could ask Qt that it uses 2.0)
FIND_LIBRARY(QT_GLIB_LIBRARY NAMES glib-2.0)
FIND_LIBRARY(QT_GTHREAD_LIBRARY NAMES gthread-2.0)
SET(QT_CORE_LIB_DEPENDENCIES ${QT_CORE_LIB_DEPENDENCIES}
IF(QT_GTHREAD_LIBRARY AND QT_GLIB_LIBRARY) #TEMP: need more robust find of glib2
SET(QT_CORE_LIB_DEPENDENCIES ${QT_CORE_LIB_DEPENDENCIES}
${QT_GTHREAD_LIBRARY} ${QT_GLIB_LIBRARY})
ENDIF(QT_GTHREAD_LIBRARY AND QT_GLIB_LIBRARY)
MARK_AS_ADVANCED(QT_GLIB_LIBRARY)
MARK_AS_ADVANCED(QT_GTHREAD_LIBRARY)
ENDIF(QT_QCONFIG MATCHES "glib")
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment